Index: /data/branches/single_player_map/scripts/falldown.lua
===================================================================
--- /data/branches/single_player_map/scripts/falldown.lua	(revision 4050)
+++ /data/branches/single_player_map/scripts/falldown.lua	(revision 4051)
@@ -1,2 +1,6 @@
+-- Get objects from orxonox
+thisscript:addObject("TestEntity", "fallingguy")
+thisscript:addObject("FPSPlayer", "Player")
+
 dy = 0
 randTime = 0
Index: /data/branches/single_player_map/scripts/floorguy.lua
===================================================================
--- /data/branches/single_player_map/scripts/floorguy.lua	(revision 4050)
+++ /data/branches/single_player_map/scripts/floorguy.lua	(revision 4051)
@@ -1,2 +1,5 @@
+-- Get objects from orxonox
+thisscript:addObject("GenericNPC", "floorguy")
+thisscript:addObject("FPSPlayer", "Player")
 
 programRoute = true
Index: /data/branches/single_player_map/scripts/guard.lua
===================================================================
--- /data/branches/single_player_map/scripts/guard.lua	(revision 4050)
+++ /data/branches/single_player_map/scripts/guard.lua	(revision 4051)
@@ -1,2 +1,6 @@
+-- Get objects from orxonox
+thisscript:addObject("GenericNPC","guard")
+thisscript:addObject("FPSPlayer", "Player")
+
 -- Global Variables
 walkingRouteOne = true   -- True if thestranger is walking route one
Index: /data/branches/single_player_map/scripts/prisoner.lua
===================================================================
--- /data/branches/single_player_map/scripts/prisoner.lua	(revision 4050)
+++ /data/branches/single_player_map/scripts/prisoner.lua	(revision 4051)
@@ -1,2 +1,8 @@
+-- Get objects from orxonox
+thisscript:addObject("GenericNPC", "prisoner")
+thisscript:addObject("FPSPlayer", "Player")
+thisscript:addObject("GenericNPC", "secondguard")
+
+
 cellDoorOpened = false
 walkinCellFinished = false
Index: /data/branches/single_player_map/scripts/secondguard.lua
===================================================================
--- /data/branches/single_player_map/scripts/secondguard.lua	(revision 4050)
+++ /data/branches/single_player_map/scripts/secondguard.lua	(revision 4051)
@@ -1,2 +1,8 @@
+-- Get objects from orxonox
+thisscript:addObject("GenericNPC", "secondguard")
+thisscript:addObject("GenericNPC", "guard")
+thisscript:addObject("FPSPlayer", "Player")
+thisscript:addObject("GenericNPC", "prisoner")
+
 -- Global Variables
 allOk = true
Index: /data/branches/single_player_map/scripts/secondprisoner.lua
===================================================================
--- /data/branches/single_player_map/scripts/secondprisoner.lua	(revision 4050)
+++ /data/branches/single_player_map/scripts/secondprisoner.lua	(revision 4051)
@@ -1,2 +1,5 @@
+-- Get objects from orxonox
+thisscript:addObject("GenericNPC", "Secondprisoner")
+thisscript:addObject("FPSPlayer", "Player")
 
 -- Initialises the random number generator
Index: /data/branches/single_player_map/scripts/spaceship.lua
===================================================================
--- /data/branches/single_player_map/scripts/spaceship.lua	(revision 4050)
+++ /data/branches/single_player_map/scripts/spaceship.lua	(revision 4051)
@@ -1,2 +1,7 @@
+-- Get objects from orxonox
+thisscript:addObject("Claw", "spaceshipclaw")
+thisscript:addObject("RepairStation", "repair")
+thisscript:addObject("FPSPlayer", "Player")
+thisscript:addObject("SpaceShip", "spaceship")
 
 function tick(timestep)
Index: /data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw
===================================================================
--- /data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw	(revision 4050)
+++ /data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw	(revision 4051)
@@ -19,47 +19,28 @@
     <Script>
      <file>guard.lua</file>
-     <object>GenericNPC, guard</object>
-     <object>FPSPlayer, Player</object>
     </Script>
 
     <Script>
      <file>secondguard.lua</file>
-     <object>GenericNPC, secondguard</object>
-     <object>GenericNPC, guard</object>
-     <object>FPSPlayer, Player</object>
-     <object>GenericNPC, prisoner</object>
     </Script>
 
     <Script>
      <file>prisoner.lua</file>
-     <object>GenericNPC, prisoner</object>
-     <object>FPSPlayer, Player</object>
-     <object>GenericNPC, secondguard</object>
     </Script>
 
     <Script>
      <file>secondprisoner.lua</file>
-     <object>GenericNPC, Secondprisoner</object>
-     <object>FPSPlayer, Player</object>
     </Script>
 
     <Script>
      <file>falldown.lua</file>
-     <object>TestEntity, fallingguy </object>
-     <object>FPSPlayer, Player</object>
     </Script>
 
     <Script>
      <file>floorguy.lua</file>
-     <object>GenericNPC, floorguy </object>
-     <object>FPSPlayer, Player</object>
     </Script>
 
     <Script>
      <file>spaceship.lua</file>
-     <object>Claw, spaceshipclaw</object>
-     <object>RepairStation, repair</object>
-     <object>FPSPlayer, Player</object>
-     <object>SpaceShip, spaceship</object>
     </Script>
     
